Register Sddc Lcm

Register Sddc Lcm

Register SDDC LCM with Fleet LCM.

Request
URI
POST
https://vcf.broadcom.com/fleet-lcm/v1/sddc-lcms
COPY
Request Body
SddcLcmRegisterSpec of type(s) application/json
Optional

Show optional properties

{
    "fqdn": "fqdn",
    "platformFqdn": "platformFqdn",
    "id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
    "sddcGroup": {
        "fqdn": "fqdn",
        "name": "name",
        "certificate": "certificate",
        "id": "id"
    }
}
{
    "id": "string",
    "fqdn": "string",
    "platformFqdn": "string",
    "sddcGroup": {
        "fqdn": "fqdn",
        "name": "name",
        "certificate": "certificate",
        "id": "id"
    },
    "fleetDepot": {
        "fqdn": "fqdn"
    },
    "vcenter": {
        "fqdn": "fqdn",
        "certificate": "certificate",
        "id": "id"
    }
}
string As uuid As uuid
id
Required

SDDC LCM identifier.

string
fqdn
Required

SDDC LCM service fqdn.

string
platformFqdn
Required

SDDC LCM's VSP platform fqdn

object
sddcGroup
Required

sddcGroup

object
fleetDepot
Optional

fleetDepot

object
vcenter
Optional

vcenter

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SddcLcmRegistrationResponse of type(s) application/json
{
    "instanceId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
    "clientId": "clientId",
    "clientName": "clientName",
    "clientSecret": "clientSecret"
}
string As uuid As uuid
instanceId
Required

The instance identifier of the Fleet LCM.

string
clientId
Required

Service account client identifier.

string
clientSecret
Required

Service account client secret.

string
clientName
Required

The client name used during creation.


400

Bad request.

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


404

The specified resource was not found

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal server error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"fqdn":"string","id":"string","platformFqdn":"string","sddcGroup":"object"}' https://{api_host}/fleet-lcm/v1/sddc-lcms